<!DOCTYPE html>
<html><head>
<title>eric7.EricNetwork.EricNetworkIcon</title>
<meta charset="UTF-8">
<link rel="stylesheet" href="styles.css">
</head>
<body>
<a NAME="top" ID="top"></a>
<h1>eric7.EricNetwork.EricNetworkIcon</h1>
<p>
Module implementing a statusbar icon tracking the network status.
</p>

<h3>Global Attributes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Classes</h3>
<table>
<tr>
<td><a href="#EricNetworkIcon">EricNetworkIcon</a></td>
<td>Class implementing a statusbar icon tracking the network status.</td>
</tr>
</table>

<h3>Functions</h3>
<table>
<tr><td>None</td></tr>
</table>

<hr />
<hr />
<a NAME="EricNetworkIcon" ID="EricNetworkIcon"></a>
<h2>EricNetworkIcon</h2>
<p>
    Class implementing a statusbar icon tracking the network status.
</p>

<h3>Signals</h3>
<dl>

<dt>onlineStateChanged(online)</dt>
<dd>
emitted to indicate a change of the
        network state
</dd>
<dt>reachabilityStateChanged(reachability)</dt>
<dd>
emitted to indicate a
        change of the network reachability
</dd>
</dl>
<h3>Derived from</h3>
QLabel
<h3>Class Attributes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Class Methods</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Methods</h3>
<table>
<tr>
<td><a href="#EricNetworkIcon.__init__">EricNetworkIcon</a></td>
<td>Constructor</td>
</tr>
<tr>
<td><a href="#EricNetworkIcon.__reachabilityChanged">__reachabilityChanged</a></td>
<td>Private slot handling reachability state changes.</td>
</tr>
<tr>
<td><a href="#EricNetworkIcon.isOnline">isOnline</a></td>
<td>Public method to get the online state.</td>
</tr>
</table>

<h3>Static Methods</h3>
<table>
<tr><td>None</td></tr>
</table>


<a NAME="EricNetworkIcon.__init__" ID="EricNetworkIcon.__init__"></a>
<h4>EricNetworkIcon (Constructor)</h4>
<b>EricNetworkIcon</b>(<i>parent=None</i>)
<p>
        Constructor
</p>

<dl>

<dt><i>parent</i> (QWidget)</dt>
<dd>
reference to the parent widget
</dd>
</dl>
<a NAME="EricNetworkIcon.__reachabilityChanged" ID="EricNetworkIcon.__reachabilityChanged"></a>
<h4>EricNetworkIcon.__reachabilityChanged</h4>
<b>__reachabilityChanged</b>(<i>reachability</i>)
<p>
        Private slot handling reachability state changes.
</p>

<dl>

<dt><i>reachability</i> (QNetworkInformation.Reachability)</dt>
<dd>
new reachability state
</dd>
</dl>
<a NAME="EricNetworkIcon.isOnline" ID="EricNetworkIcon.isOnline"></a>
<h4>EricNetworkIcon.isOnline</h4>
<b>isOnline</b>(<i></i>)
<p>
        Public method to get the online state.
</p>

<dl>
<dt>Return:</dt>
<dd>
online state
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
bool
</dd>
</dl>
<div align="right"><a href="#top">Up</a></div>
<hr />
</body></html>
